Name:           camstream
Version:        0.26.3
Release:        0.fdr.4.2
Epoch:          0
Summary:        CamStream - a set of programs to make use of your webcam

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.smcc.demon.nl/camstream/
Source0:        http://www.smcc.demon.nl/camstream/download/camstream-0.26.3.tar.gz
Source1:        %{name}.desktop
Source2:	%{name}.png
Patch0:         %{name}-makefiles.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel, libjpeg-devel, libpng-devel, autoconf, XFree86-devel
BuildRequires:  desktop-file-utils

%description
CamStream is (going to be) a collection of tools for webcams and other
video-devices, enhancing your Linux system with multimedia video.
All written in C++ and with a nice GUI frontend. The interface
is based on Qt, an excellent GUI framework.


%prep
%setup -q
%patch0 -p1



%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

# Use our homebrew CPU flags for sane builds.
%ifarch %{ix86}
export HAVE_IX86=1
%ifarch i686 athlon
export HAVE_MMX=1
%endif
%endif

# Do autoconfs due to patch0 and to nuke old autoconf 2.13 stuff in lib/ccvt.
# Build lib/ccvt separately (needs gcc while other stuff needs g++).
pushd lib/ccvt
autoconf
%configure
make %{?_smp_mflags}
popd

pushd camstream
autoconf
popd

export CC=g++
%configure
make all %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d -p -m 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/camstream.png
install -m 755 camstream/ftpput $RPM_BUILD_ROOT%{_bindir}
install -m 755 camstream/caminfo $RPM_BUILD_ROOT%{_bindir}
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/*
%{_bindir}/*
%{_datadir}/camstream
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Mon Dec 29 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.4
- Upstream applied patch to ftpput.cc

* Tue Dec 09 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.3
- Including patch (ftpput.cc) originaly from M. Schwendt, modyfied to be applied on 0.26-3
- Including ftpput and caminfo

* Sun Dec 07 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.2
- removing obsolete depency on ImageMagik

* Thu Dec 04 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.1
- Update to 26.3 which Michael Schwendt`s included fix for ftpput.cc merged by
- upstream. Including desktop-icon.

* Thu Aug  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.26.2-0.fdr.4
- Add .desktop entry.
- Rework makefiles patch for correct install locations and CPU/optflags.
- Cosmetic specfile tweaks.

* Wed Aug 06 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.3
- Corrected permissions on sources

* Thu Aug 05 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.2
- More documentation included
- Using autoconf for ccvt
- Patched the Makefiles for ccvt and camstream to proper build in rpm-root

* Mon Aug 04 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.1
- Workaround for qt-devel included

* Mon Aug 04 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.0
- Initial Fedora-RPM release.


